uniform vec4 uniOverallColor;
varying vec4 cNoValueColor;

varying float rLogValueTransferFunction;

void main()
{
  rLogValueTransferFunction = gl_Vertex.w;

 gl_FrontColor = uniOverallColor;
 cNoValueColor = gl_Color;

 vec4
   cPos = gl_Vertex;
   
 gl_Position = gl_ModelViewProjectionMatrix * vec4(cPos.xyz, 1.0);
 gl_ClipVertex = gl_ModelViewMatrix * vec4(cPos.xyz,1.0);
}  
